Implementation of the 'carousel' markup element. A HTML div element which can contain several 'form' or 'block' elements. The user can switch between cells by clicking the next or previous button. For CSS manipulations the following classes are added: lto-carousel: the container lto-carousel-cell-container: container for all carousel cell items lto-carousel-cell: the container where a single markup element is wrapped lto-next: selects the next carousel cell lto-previous: selects the previous carousel cell

see

  IRenderable

see

  IStackeable

### Hierarchy

- Carousel

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- carousel
- cellContainer
- spec

### Methods

- getCurrent
- init
- next
- previous
- render
- resetCells

## Constructors

### constructor

- new Carousel(message: ISpecification): Carousel

- - Defined in lib/renderable/carousel/index.ts:28

  #### Parameters

  - ##### message: ISpecification

  #### Returns Carousel

## Properties

### Private carousel

carousel: HTMLDivElement

- Defined in lib/renderable/carousel/index.ts:28

### Private cellContainer

cellContainer: HTMLDivElement

- Defined in lib/renderable/carousel/index.ts:27

### spec

spec: ISpecification

- Defined in lib/renderable/carousel/index.ts:26

## Methods

### Private getCurrent

- getCurrent(): number

- - Defined in lib/renderable/carousel/index.ts:157

  #### Returns number

### Private init

- init(current: number): void

- - Defined in lib/renderable/carousel/index.ts:108

  #### Parameters

  - ##### current: number

  #### Returns void

### Private next

- next(current: number): void

- - Defined in lib/renderable/carousel/index.ts:122

  #### Parameters

  - ##### current: number

  #### Returns void

### Private previous

- previous(current: number): void

- - Defined in lib/renderable/carousel/index.ts:140

  #### Parameters

  - ##### current: number

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/carousel/index.ts:40

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private resetCells

- resetCells(): void

- - Defined in lib/renderable/carousel/index.ts:171

  #### Returns void

Generated using TypeDoc